> ## Documentation Index
> Fetch the complete documentation index at: https://docs.neynar.com/llms.txt
> Use this file to discover all available pages before exploring further.

# List deployments

> Lists all miniapp generator deployments for a user. Requires API key authentication. Note: Studio CU is tracked based on LLM token usage, not per API call.

<Info>
  The Miniapp Studio API is an allowlisted API and not publicly available. [Contact the Neynar team](https://neynar.com/slack) for more information.
</Info>

## Node.js SDK

🔗 **SDK Method:** [listDeployments](/nodejs-sdk/studio-apis/listDeployments)

Use this API endpoint with the Neynar Node.js SDK for typed responses and better developer experience.


## OpenAPI

````yaml get /v2/studio/deployment/
openapi: 3.0.4
info:
  contact:
    email: team@neynar.com
    name: Neynar
    url: https://neynar.com/
  description: >-
    The Neynar API allows you to interact with the Farcaster protocol among
    other things. See the [Neynar docs](https://docs.neynar.com/reference) for
    more details.
  title: Neynar API
  version: 3.173.0
servers:
  - url: https://api.neynar.com
security:
  - ApiKeyAuth: []
tags:
  - description: Operations related to user
    externalDocs:
      description: More info about user
      url: https://docs.neynar.com/reference/user-operations
    name: User
  - description: Operations related to signer
    externalDocs:
      description: More info about signer
      url: https://docs.neynar.com/reference/signer-operations
    name: Signer
  - description: Operations related to cast
    externalDocs:
      description: More info about cast
      url: https://docs.neynar.com/reference/cast-operations
    name: Cast
  - description: Operations related to feed
    externalDocs:
      description: More info about feed
      url: https://docs.neynar.com/reference/feed-operations
    name: Feed
  - description: Operations related to reaction
    externalDocs:
      description: More info about reaction
      url: https://docs.neynar.com/reference/reaction-operations
    name: Reaction
  - description: Operations related to notifications
    externalDocs:
      description: More info about notifications
      url: https://docs.neynar.com/reference/notifications-operations
    name: Notifications
  - description: Operations related to channels
    externalDocs:
      description: More info about channels
      url: https://docs.neynar.com/reference/channel-operations
    name: Channel
  - description: Operations related to follows
    externalDocs:
      description: More info about follows
      url: https://docs.neynar.com/reference/follows-operations
    name: Follows
  - description: Operations related to storage
    externalDocs:
      description: More info about storage
      url: https://docs.neynar.com/reference/storage-operations
    name: Storage
  - description: Operations related to mini apps
    name: Frame
  - description: Operations for building AI agents
    name: Agents
  - description: Operations related to fname
    name: fname
  - description: Operations related to a webhook
    name: Webhook
  - description: >-
      Securely communicate and perform actions on behalf of users across
      different apps
    externalDocs:
      description: More info about farcaster actions
      url: https://docs.neynar.com/docs/farcaster-actions-spec
    name: Action
  - description: Operations related to a subscriptions
    name: Subscribers
  - description: Operations related to a mute
    name: Mute
  - description: Operations related to a block
    name: Block
  - description: Operations related to a ban
    name: Ban
  - description: Operations related to onchain data
    name: Onchain
  - description: Operations related to login
    name: Login
  - description: Operations related to retrieving metrics
    name: Metrics
  - description: Operations related to mini app host notifications
    externalDocs:
      description: More info about mini app host notifications
      url: https://docs.neynar.com/docs/app-host-notifications
    name: App Host
paths:
  /v2/studio/deployment/:
    get:
      tags:
        - studio
      summary: List deployments
      description: >-
        Lists all miniapp generator deployments for a user. Requires API key
        authentication. Note: Studio CU is tracked based on LLM token usage, not
        per API call.
      operationId: list-deployments
      parameters:
        - description: >-
            Farcaster ID of the user. Required for non-admin users. Studio
            admins can omit to query all deployments.
          in: query
          name: fid
          schema:
            example: 3
            format: int32
            minimum: 0
            type: integer
        - description: Maximum number of deployments to return. Defaults to 50, max 1000.
          in: query
          name: limit
          schema:
            default: 50
            maximum: 1000
            minimum: 1
            type: integer
          x-is-limit-param: true
        - description: Number of deployments to skip for pagination. Defaults to 0.
          in: query
          name: offset
          schema:
            default: 0
            minimum: 0
            type: integer
        - description: Search string to filter deployments by name, display name, or FID.
          in: query
          name: query
          schema:
            type: string
        - description: >-
            Field to sort deployments by. Defaults to updated_at (most recently
            updated first).
          in: query
          name: sort_by
          schema:
            default: updated_at
            enum:
              - created_at
              - updated_at
            type: string
        - description: Include deleted deployments in the response. Defaults to false.
          in: query
          name: include_deleted
          schema:
            default: false
            type: boolean
      responses:
        '200':
          content:
            application/json:
              schema:
                items:
                  properties:
                    created_at:
                      description: Creation timestamp
                      format: date-time
                      type: string
                    deleted_at:
                      description: Deletion timestamp
                      format: date-time
                      nullable: true
                      type: string
                    dev_server_state:
                      description: >-
                        Dev server process state: stopped, starting, running,
                        crashed, or hung
                      enum:
                        - stopped
                        - starting
                        - running
                        - crashed
                        - hung
                      type: string
                    display_name:
                      description: Display name for the project
                      type: string
                    generated_app_exists:
                      description: Whether a generated app exists in the deployment
                      type: boolean
                    generated_app_serving:
                      description: Whether the generated app is currently serving
                      type: boolean
                    github_url:
                      description: GitHub repository SSH URL
                      type: string
                    has_database:
                      description: Whether the deployment has a Neon database configured
                      type: boolean
                    id:
                      description: Deployment ID
                      type: string
                    is_ready:
                      description: Deployment is ready to serve app and accept prompts
                      type: boolean
                    name:
                      description: Kubernetes deployment name
                      type: string
                    namespace:
                      description: Kubernetes namespace
                      type: string
                    production_app_status:
                      description: Production app deployment status from Vercel
                      properties:
                        created_at:
                          description: Deployment creation timestamp (Unix ms)
                          type: number
                        deployment_state:
                          description: Deployment state (e.g., READY, BUILDING, ERROR)
                          type: string
                        deployment_url:
                          description: Vercel deployment URL
                          type: string
                        project_id:
                          description: Vercel project ID
                          type: string
                        target:
                          description: Deployment target (e.g., production, preview)
                          type: string
                      required:
                        - project_id
                        - deployment_url
                        - deployment_state
                        - created_at
                      type: object
                    updated_at:
                      description: Last update timestamp
                      format: date-time
                      nullable: true
                      type: string
                    url:
                      description: Public URL for the deployment
                      format: uri
                      type: string
                  required:
                    - id
                    - deleted_at
                    - updated_at
                    - created_at
                    - namespace
                    - name
                    - is_ready
                    - generated_app_exists
                    - generated_app_serving
                  type: object
                type: array
          description: Success
        '400':
          content:
            application/json:
              schema:
                properties:
                  error:
                    type: string
                required:
                  - error
                type: object
          description: Bad Request
        '403':
          content:
            application/json:
              schema:
                properties:
                  error:
                    type: string
                required:
                  - error
                type: object
          description: Forbidden
        '500':
          content:
            application/json:
              schema:
                properties:
                  error:
                    type: string
                required:
                  - error
                type: object
          description: Server Error
      security:
        - ApiKeyAuth: []
      externalDocs:
        url: https://docs.neynar.com/reference/list-deployments
components:
  securitySchemes:
    ApiKeyAuth:
      description: API key to authorize requests
      in: header
      name: x-api-key
      type: apiKey
      x-default: NEYNAR_API_DOCS

````